# Interface ITopic

All Superinterfaces:
  `IHelpResource, IUAElement`

All Known Subinterfaces:
  `ITopic2`

All Known Implementing Classes:
  `Topic`

public interface ITopic extends IUAElement, IHelpResource
An `ITopic` is one topic in the table of contents, which may contain subtopics.

Since:
  2.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TOPIC`
This is element name used for topic in XML files.

### Fields inherited from interface IHelpResource

`HREF, LABEL`

## Method Summary

Modifier and Type
Method
Description
`ITopic[]`
`getSubtopics()`
Obtains the topics contained in this node.

### Methods inherited from interface IHelpResource

`getHref, getLabel`

### Methods inherited from interface IUAElement

`getChildren, isEnabled`

## Field Details

### TOPIC

static final String TOPIC
This is element name used for topic in XML files.

See Also:
  - Constant Field Values

## Method Details

### getSubtopics

ITopic[] getSubtopics()
Obtains the topics contained in this node.

Returns:
  Array of ITopic